<?php
/**
 * Description: Creates a table prefix_watchman_site_countries reference data about ip visitors.
 * PHP version 8.0.1
 * @category    wms7-countries.php
 * @package     WatchMan-Site7
 * @author      Oleg Klenitsky <klenitskiy.oleg@mail.ru>
 * @version     4.2.0
 * @license     GPLv2 or later
 * @filesource
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit();
}

/**
 * Description: Populate the data in table prefix_watchman_site_countries.
 * @return string
 */
function wms7_sql_countries() {
	$str = "
	(1, 'AF', 'Afghanistan', 33, 65),
	(2, 'AX', 'Åland Islands', 60.1166, 19.9),
	(3, 'AL', 'Albania', 41, 20),
	(4, 'DZ', 'Algeria', 28, 3),
	(5, 'AS', 'American Samoa', -14.3333, -170),
	(6, 'AD', 'Andorra', 42.5, 1.5),
	(7, 'AO', 'Angola', -12.5, 18.5),
	(8, 'AI', 'Anguilla', 18.25, -63.1667),
	(9, 'AQ', 'Antarctica', -90, 0),
	(10, 'AG', 'Antigua and Barbuda', 17.05, -61.8),
	(11, 'AR', 'Argentina', -34, -64),
	(12, 'AM', 'Armenia', 40, 45),
	(13, 'AW', 'Aruba', 12.5, -69.9667),
	(14, 'AU', 'Australia', -27, 133),
	(15, 'AT', 'Austria', 47.3333, 13.3333),
	(16, 'AZ', 'Azerbaijan', 40.5, 47.5),
	(17, 'BS', 'Bahamas', 24.25, -76),
	(18, 'BH', 'Bahrain', 26, 50.55),
	(19, 'BD', 'Bangladesh', 24, 90),
	(20, 'BB', 'Barbados', 13.1667, -59.5333),
	(21, 'BY', 'Belarus', 53, 28),
	(22, 'BE', 'Belgium', 50.8333, 4),
	(23, 'BZ', 'Belize', 17.25, -88.75),
	(24, 'BJ', 'Benin', 9.5, 2.25),
	(25, 'BM', 'Bermuda', 32.3333, -64.75),
	(26, 'BT', 'Bhutan', 27.5, 90.5),
	(27, 'BO', 'Bolivia', -17, -65),
	(28, 'BQ', 'Bonaire, Sint Eustatius and Saba', 12.25, 68.4667),
	(29, 'BA', 'Bosnia and Herzegovina', 44, 18),
	(30, 'BW', 'Botswana', -22, 24),
	(31, 'BV', 'Bouvet Island', -54.4333, 3.4),
	(32, 'BR', 'Brazil', -10, -55),
	(33, 'IO', 'British Indian Ocean Territory', -6, 71.5),
	(34, 'BN', 'Brunei Darussalam', 4.5, 114.667),
	(35, 'BG', 'Bulgaria', 43, 25),
	(36, 'BF', 'Burkina Faso', 13, -2),
	(37, 'BI', 'Burundi', -3.5, 30),
	(38, 'KH', 'Cambodia', 13, 105),
	(39, 'CM', 'Cameroon', 6, 12),
	(40, 'CA', 'Canada', 60, -95),
	(41, 'CV', 'Cape Verde', 16, -24),
	(42, 'KY', 'Cayman Islands', 19.5, -80.5),
	(43, 'CF', 'Central African Republic', 7, 21),
	(44, 'TD', 'Chad', 15, 19),
	(45, 'CL', 'Chile', -30, -71),
	(46, 'CN', 'China', 35, 105),
	(47, 'CX', 'Christmas Island', -10.5, 105.667),
	(48, 'CC', 'Cocos (Keeling) Islands', -12.5, 96.8333),
	(49, 'CO', 'Colombia', 4, -72),
	(50, 'KM', 'Comoros', -12.1667, 44.25),
	(51, 'CD', 'The Democratic Republic of the Congo', 0, 25),
	(52, 'CG', 'Congo', -1, 15),
	(53, 'CK', 'Cook Islands', -21.2333, -159.767),
	(54, 'CR', 'Costa Rica', 10, -84),
	(55, 'CI', 'Cote d''Ivoire', 8, -5),
	(56, 'HR', 'Croatia', 45.1667, 15.5),
	(57, 'CU', 'Cuba', 21.5, -80),
	(58, 'CW', 'Curaçao', 12.1167, 68.9333),
	(59, 'CY', 'Cyprus', 35, 33),
	(60, 'CZ', 'Czech Republic', 49.75, 15.5),
	(61, 'DK', 'Denmark', 56, 10),
	(62, 'DJ', 'Djibouti', 11.5, 43),
	(63, 'DM', 'Dominica', 15.4167, -61.3333),
	(64, 'DO', 'Dominican Republic', 19, -70.6667),
	(65, 'EC', 'Ecuador', -2, -77.5),
	(66, 'EG', 'Egypt', 27, 30),
	(67, 'SV', 'El Salvador', 13.8333, -88.9167),
	(68, 'GQ', 'Equatorial Guinea', 2, 10),
	(69, 'ER', 'Eritrea', 15, 39),
	(70, 'EE', 'Estonia', 59, 26),
	(71, 'ET', 'Ethiopia', 8, 38),
	(72, 'FK', 'Falkland Islands (Malvinas)', -51.75, -59),
	(73, 'FO', 'Faroe Islands', 62, -7),
	(74, 'FJ', 'Fiji', -18, 175),
	(75, 'FI', 'Finland', 64, 26),
	(76, 'FR', 'France', 46, 2),
	(77, 'GF', 'French Guiana', 4, -53),
	(78, 'PF', 'French Polynesia', -15, -140),
	(79, 'TF', 'French Southern Territories', -43, 67),
	(80, 'GA', 'Gabon', -1, 11.75),
	(81, 'GM', 'Gambia', 13.4667, -16.5667),
	(82, 'GE', 'Georgia', 42, 43.5),
	(83, 'DE', 'Germany', 51, 9),
	(84, 'GH', 'Ghana', 8, -2),
	(85, 'GI', 'Gibraltar', 36.1833, -5.3667),
	(86, 'GR', 'Greece', 39, 22),
	(87, 'GL', 'Greenland', 72, -40),
	(88, 'GD', 'Grenada', 12.1167, -61.6667),
	(89, 'GP', 'Guadeloupe', 16.25, -61.5833),
	(90, 'GU', 'Guam', 13.4667, 144.783),
	(91, 'GT', 'Guatemala', 15.5, -90.25),
	(92, 'GG', 'Guernsey', 49.45, -2.5333),
	(93, 'GN', 'Guinea', 11, -10),
	(94, 'GW', 'Guinea-Bissau', 12, -15),
	(95, 'GY', 'Guyana', 5, -59),
	(96, 'HT', 'Haiti', 19, -72.4167),
	(97, 'HM', 'Heard Island and McDonald Islands', -53.1, 72.5167),
	(98, 'VA', 'Holy See (Vatican City State)', 41.9, 12.45),
	(99, 'HN', 'Honduras', 15, -86.5),
	(100, 'HK', 'Hong Kong', 22.25, 114.167),
	(101, 'HU', 'Hungary', 47, 20),
	(102, 'IS', 'Iceland', 65, -18),
	(103, 'IN', 'India', 20, 77),
	(104, 'ID', 'Indonesia', -5, 120),
	(105, 'IR', 'Iran', 32, 53),
	(106, 'IQ', 'Iraq', 33, 44),
	(107, 'IE', 'Ireland', 53, -8),
	(108, 'IM', 'Isle of Man', 54.15, -4.4833),
	(109, 'IL', 'Israel', 31.5, 34.75),
	(110, 'IT', 'Italy', 42.8333, 12.8333),
	(111, 'JM', 'Jamaica', 18.25, -77.5),
	(112, 'JP', 'Japan', 36, 138),
	(113, 'JE', 'Jersey', 49.19, -2.11),
	(114, 'JO', 'Jordan', 31, 36),
	(115, 'KZ', 'Kazakhstan', 48, 68),
	(116, 'KE', 'Kenya', 1, 38),
	(117, 'KI', 'Kiribati', 1.4167, 173),
	(118, 'KP', 'North Korea', 40, 127),
	(119, 'KR', 'South Korea', 37, 127.5),
	(120, 'KW', 'Kuwait', 29.3375, 47.6581),
	(121, 'KG', 'Kyrgyzstan', 41, 75),
	(122, 'LA', 'Lao', 18, 105),
	(123, 'LV', 'Latvia', 57, 25),
	(124, 'LB', 'Lebanon', 33.8333, 35.8333),
	(125, 'LS', 'Lesotho', -29.5, 28.5),
	(126, 'LR', 'Liberia', 6.5, -9.5),
	(127, 'LY', 'Libyan Arab Jamahiriya', 25, 17),
	(128, 'LI', 'Liechtenstein', 47.1667, 9.5333),
	(129, 'LT', 'Lithuania', 56, 24),
	(130, 'LU', 'Luxembourg', 49.75, 6.1667),
	(131, 'MO', 'Macao', 22.1667, 113.55),
	(132, 'MK', 'Macedonia', 41.8333, 22),
	(133, 'MG', 'Madagascar', -20, 47),
	(134, 'MW', 'Malawi', -13.5, 34),
	(135, 'MY', 'Malaysia', 2.5, 112.5),
	(136, 'MV', 'Maldives', 3.25, 73),
	(137, 'ML', 'Mali', 17, -4),
	(138, 'MT', 'Malta', 35.8333, 14.5833),
	(139, 'MH', 'Marshall Islands', 9, 168),
	(140, 'MQ', 'Martinique', 14.6667, -61),
	(141, 'MR', 'Mauritania', 20, -12),
	(142, 'MU', 'Mauritius', -20.2833, 57.55),
	(143, 'YT', 'Mayotte', -12.8333, 45.1667),
	(144, 'MX', 'Mexico', 23, -102),
	(145, 'FM', 'Micronesia', 6.9167, 158.25),
	(146, 'MD', 'Moldova', 47, 29),
	(147, 'MC', 'Monaco', 43.7333, 7.4),
	(148, 'MN', 'Mongolia', 46, 105),
	(149, 'ME', 'Montenegro', 42, 19),
	(150, 'MS', 'Montserrat', 16.75, -62.2),
	(151, 'MA', 'Morocco', 32, -5),
	(152, 'MZ', 'Mozambique', -18.25, 35),
	(153, 'MM', 'Myanmar', 22, 98),
	(154, 'NA', 'Namibia', -22, 17),
	(155, 'NR', 'Nauru', -0.5333, 166.917),
	(156, 'NP', 'Nepal', 28, 84),
	(157, 'NL', 'Netherlands', 52.5, 5.75),
	(158, 'NC', 'New Caledonia', -21.5, 165.5),
	(159, 'NZ', 'New Zealand', -41, 174),
	(160, 'NI', 'Nicaragua', 13, -85),
	(161, 'NE', 'Niger', 16, 8),
	(162, 'NG', 'Nigeria', 10, 8),
	(163, 'NU', 'Niue', -19.0333, -169.867),
	(164, 'NF', 'Norfolk Island', -29.0333, 167.95),
	(165, 'MP', 'Northern Mariana Islands', 15.2, 145.75),
	(166, 'NO', 'Norway', 62, 10),
	(167, 'OM', 'Oman', 21, 57),
	(168, 'PK', 'Pakistan', 30, 70),
	(169, 'PW', 'Palau', 7.5, 134.5),
	(170, 'PS', 'Palestinian Territory', 32, 35.25),
	(171, 'PA', 'Panama', 9, -80),
	(172, 'PG', 'Papua New Guinea', -6, 147),
	(173, 'PY', 'Paraguay', -23, -58),
	(174, 'PE', 'Peru', -10, -76),
	(175, 'PH', 'Philippines', 13, 122),
	(176, 'PN', 'Pitcairn Islands', -25.0666, -130.1),
	(177, 'PL', 'Poland', 52, 20),
	(178, 'PT', 'Portugal', 39.5, -8),
	(179, 'PR', 'Puerto Rico', 18.25, -66.5),
	(180, 'QA', 'Qatar', 25.5, 51.25),
	(181, 'RE', 'Reunion', -21.1, 55.6),
	(182, 'RO', 'Romania', 46, 25),
	(183, 'RU', 'Russian Federation', 60, 100),
	(184, 'RW', 'Rwanda', -2, 30),
	(185, 'BL', 'Saint Barthelemy', 17.8979, -62.8505),
	(186, 'SH', 'Saint Helena', -15.9333, -5.7),
	(187, 'KN', 'Saint Kitts and Nevis', 17.3333, -62.75),
	(188, 'LC', 'Saint Lucia', 13.8833, -61.1333),
	(189, 'MF', 'Saint Martin', 18.0731, -63.0822),
	(190, 'PM', 'Saint Pierre and Miquelon', 46.8333, -56.3333),
	(191, 'VC', 'Saint Vincent and the Grenadines', 13.25, -61.2),
	(192, 'WS', 'Samoa', -13.5833, -172.333),
	(193, 'SM', 'San Marino', 43.7667, 12.4167),
	(194, 'ST', 'Sao Tome and Principe', 1, 7),
	(195, 'SA', 'Saudi Arabia', 25, 45),
	(196, 'SN', 'Senegal', 14, -14),
	(197, 'RS', 'Serbia', 44, 21),
	(198, 'SC', 'Seychelles', -4.5833, 55.6667),
	(199, 'SL', 'Sierra Leone', 8.5, -11.5),
	(200, 'SG', 'Singapore', 1.3667, 103.8),
	(201, 'SX', 'Sint Maarten', 18.0167, 63.05),
	(202, 'SK', 'Slovakia (Slovak Republic)', 48.6667, 19.5),
	(203, 'SI', 'Slovenia', 46, 15),
	(204, 'SB', 'Solomon Islands', -8, 159),
	(205, 'SO', 'Somalia', 10, 49),
	(206, 'ZA', 'South Africa', -29, 24),
	(207, 'GS', 'South Georgia and the South Sandwich Islands', -54.5, -37),
	(208, 'SS', 'South Sudan', 4.85, 31.6),
	(209, 'ES', 'Spain', 40, -4),
	(210, 'LK', 'Sri Lanka', 7, 81),
	(211, 'SD', 'Sudan', 15, 30),
	(212, 'SR', 'Suriname', 4, -56),
	(213, 'SJ', 'Svalbard and Jan Mayen', 78, 20),
	(214, 'SZ', 'Swaziland', -26.5, 31.5),
	(215, 'SE', 'Sweden', 62, 15),
	(216, 'CH', 'Switzerland', 47, 8),
	(217, 'SY', 'Syria', 35, 38),
	(218, 'TW', 'Taiwan', 23.5, 121),
	(219, 'TJ', 'Tajikistan', 39, 71),
	(220, 'TZ', 'Tanzania', -6, 35),
	(221, 'TH', 'Thailand', 15, 100),
	(222, 'TL', 'Timor-Leste', -8.5666, 125.567),
	(223, 'TG', 'Togo', 8, 1.1667),
	(224, 'TK', 'Tokelau', -9, -172),
	(225, 'TO', 'Tonga', -20, -175),
	(226, 'TT', 'Trinidad and Tobago', 11, -61),
	(227, 'TN', 'Tunisia', 34, 9),
	(228, 'TR', 'Turkey', 39, 35),
	(229, 'TM', 'Turkmenistan', 40, 60),
	(230, 'TC', 'Turks and Caicos Islands', 21.75, -71.5833),
	(231, 'TV', 'Tuvalu', -8, 178),
	(232, 'UG', 'Uganda', 1, 32),
	(233, 'UA', 'Ukraine', 49, 32),
	(234, 'AE', 'United Arab Emirates', 24, 54),
	(235, 'GB', 'United Kingdom', 54, -2),
	(236, 'US', 'United States of America', 38, -97),
	(237, 'UM', 'United States Minor Outlying Islands', 19.2833, 166.6),
	(238, 'UY', 'Uruguay', -33, -56),
	(239, 'UZ', 'Uzbekistan', 41, 64),
	(240, 'VU', 'Vanuatu', -16, 167),
	(241, 'VE', 'Venezuela', 8, -66),
	(242, 'VN', 'Vietnam', 16, 106),
	(243, 'VG', 'British Virgin Islands', 18.5, -64.5),
	(244, 'VI', 'United States Virgin Islands', 18.3333, -64.8333),
	(245, 'WF', 'Wallis and Futuna', -13.3, -176.2),
	(246, 'EH', 'Western Sahara', 24.5, -13),
	(247, 'XK', 'Kosovo', 42.67, 21.17),
	(248, 'YE', 'Yemen', 15, 48),
	(249, 'ZM', 'Zambia', -15, 30),
	(250, 'ZW', 'Zimbabwe', -20, 30);";

	return $str;
}
